> ## Documentation Index
> Fetch the complete documentation index at: https://generaltranslation.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# फ़ॉलो

> फ़ॉलो प्रबंधित करें और फ़ॉलोअर/फ़ॉलोइंग की जानकारी प्राप्त करें

export const Button = ({href, children}) => {
  return <div className="not-prose group">
    <a href={href}>
      <button className="flex items-center space-x-2.5 py-1 px-4 bg-primary-dark dark:bg-white text-white dark:text-gray-950 rounded-full group-hover:opacity-[0.9] font-medium">
        <span>
          {children}
        </span>
        <svg width="3" height="24" viewBox="0 -9 3 24" class="h-6 rotate-0 overflow-visible"><path d="M0 0L3 3L0 6" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"></path></svg>
      </button>
    </a>
  </div>;
};

फ़ॉलो एंडपॉइंट्स आपको उपयोगकर्ताओं को फ़ॉलो और अनफ़ॉलो करने, तथा किसी भी उपयोगकर्ता की फ़ॉलोअर और फ़ॉलोइंग सूचियाँ प्राप्त करने की सुविधा देते हैं।

<div id="overview">
  ## अवलोकन
</div>

<CardGroup cols={2}>
  <Card title="फ़ॉलो" icon="user-plus">
    प्रमाणीकृत उपयोगकर्ता की ओर से किसी उपयोगकर्ता को फ़ॉलो करें
  </Card>

  <Card title="अनफ़ॉलो" icon="user-minus">
    किसी उपयोगकर्ता को अनफ़ॉलो करें
  </Card>

  <Card title="फ़ॉलोअर्स" icon="users">
    किसी उपयोगकर्ता के फ़ॉलोअर्स प्राप्त करें
  </Card>

  <Card title="फ़ॉलोइंग" icon="user-group">
    देखें कि कोई उपयोगकर्ता किन्हें फ़ॉलो करता है
  </Card>
</CardGroup>

***

<div id="endpoints">
  ## एंडपॉइंट्स
</div>

<div id="follows-lookup">
  ### फ़ॉलो लुकअप
</div>

| मेथड | एंडपॉइंट                                                  | विवरण                                         |
| :--- | :-------------------------------------------------------- | :-------------------------------------------- |
| GET  | [`/2/users/:id/followers`](/hi/x-api/users/get-followers) | किसी उपयोगकर्ता के फ़ॉलोअर्स प्राप्त करें     |
| GET  | [`/2/users/:id/following`](/hi/x-api/users/get-following) | जानें कि कोई उपयोगकर्ता किन्हें फ़ॉलो करता है |

<div id="manage-follows">
  ### फ़ॉलो को प्रबंधित करें
</div>

| Method | Endpoint                                                                              | Description                     |
| :----- | :------------------------------------------------------------------------------------ | :------------------------------ |
| POST   | [`/2/users/:id/following`](/hi/x-api/users/follow-user)                               | किसी उपयोगकर्ता को फ़ॉलो करें   |
| DELETE | [`/2/users/:source_user_id/following/:target_user_id`](/hi/x-api/users/unfollow-user) | किसी उपयोगकर्ता को अनफ़ॉलो करें |

***

<div id="example-get-followers">
  ## उदाहरण: फ़ॉलोअर्स प्राप्त करें
</div>

```bash theme={null}
curl "https://api.x.com/2/users/2244994945/followers?\
user.fields=username,verified,public_metrics" \
  -H "Authorization: Bearer $BEARER_TOKEN"
```

<div id="example-follow-a-user">
  ## उदाहरण: किसी उपयोगकर्ता को फ़ॉलो करना
</div>

```bash theme={null}
curl -X POST "https://api.x.com/2/users/123456789/following" \
  -H "Authorization: Bearer $USER_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"target_user_id": "2244994945"}'
```

***

<div id="getting-started">
  ## शुरुआत करें
</div>

<Note>
  **पूर्वापेक्षाएँ**

  * एक स्वीकृत [डेवलपर खाता](https://developer.x.com/en/portal/petition/essential/basic-info)
  * डेवलपर कंसोल में एक [प्रोजेक्ट और ऐप](/hi/resources/fundamentals/developer-apps)
  * आपके ऐप की [कुंजियाँ और टोकन](/hi/resources/fundamentals/authentication)
</Note>

<CardGroup cols={2}>
  <Card title="त्वरित शुरुआत" icon="rocket" href="/hi/x-api/users/follows/quickstart">
    फ़ॉलो के साथ शुरुआत करें
  </Card>

  <Card title="API संदर्भ" icon="code" href="/hi/x-api/users/followers-lookup">
    एंडपॉइंट का संपूर्ण दस्तावेज़
  </Card>

  <Card title="नमूना कोड" icon="github" href="https://github.com/xdevplatform/Twitter-API-v2-sample-code">
    कार्यशील कोड उदाहरण
  </Card>
</CardGroup>
